Subject: bug#4124: 23.1; mwheel in --daemon mode

From: Dan Nicolaescu <[email-masked]>
Date: Tue, 11 Aug 2009 11:22:51 -0700 (PDT)

John Prevost <[email-masked]> writes:

  > Dan Nicolaescu <[email-masked]> writes:
  > 
  > > In emacs-23 uses of window-system to initialize variables are most of
  > > the time bugs because window-system is not a constant anymore.  Its
  > > value depends of the frame it is used in, and we can have TTY and GUI
  > > frames in the same emacs sessions, so...
  > 
  > That was my assumption, yup.
  > 
  > > w32 does not use the daemon mode, nor can it use TTY and w32 frames at
  > > the same time, so it should not matter.
  > 
  > Hmm.  Is it not possible to start emacs in --daemon mode and use
  > emacsclient to open a file in w32?  I thought I had tested this and that
  > it had worked. 

No, it does not, from emacs/src/emacs.c:

#else /* DOS_NT */
      fprintf (stderr, "This platform does not support the -daemon  flag.\n");
      exit (1);
#endif /* DOS_NT */

  > In any case, it's clear that this is a problem in mwheel, and I do have
  > a short-term workaround.

It would be good if someone would look at mwheel.el and fix it
properly...